Submitted
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced
Class Submitted

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Submitted

    public class Submitted

extends DataModel

Constructor Summary
`Submitted(java.lang.Integer searchId)` Deprecated.
`Submitted(org.gcube.application.aquamaps.datamodel.Submitted toLoad)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAuthor()`
`java.lang.Long` | `getEndTime()`
`Field` | `getField(SubmittedFields fieldName)`
`java.lang.String` | `getFileSetId()`
`java.lang.Boolean` | `getGisEnabled()`
`java.lang.String` | `getGisPublishedId()`
`java.lang.Boolean` | `getIsAquaMap()`
`java.lang.Boolean` | `getIsCustomized()`
`java.lang.Integer` | `getJobId()`
`java.lang.Boolean` | `getSaved()`
`java.lang.Integer` | `getSearchId()`
`java.lang.String` | `getSelectionCriteria()`
`java.lang.String` | `getSerializedObject()`
`java.lang.String` | `getSerializedRequest()`
`java.lang.Integer` | `getSourceHCAF()`
`java.lang.Integer` | `getSourceHSPEC()`
`java.lang.Integer` | `getSourceHSPEN()`
`java.lang.String` | `getSpeciesCoverage()`
`java.lang.Long` | `getStartTime()`
`SubmittedStatus` | `getStatus()`
`java.lang.Long` | `getSubmissionTime()`
`java.lang.String` | `getTitle()`
`ObjectType` | `getType()`
`int` | `hashCode()`
`java.lang.Boolean` | `isForceRegeneration()`
`java.lang.Boolean` | `isToDelete()`
`static java.util.ArrayList<Submitted>` | `loadResultSet(java.sql.ResultSet rs)`
`void` | `setAuthor(java.lang.String author)`
`void` | `setEndTime(java.lang.Long endTime)`
`boolean` | `setField(Field f)`
`void` | `setFileSetId(java.lang.String fileSetId)`
`void` | `setForceRegeneration(java.lang.Boolean forceRegeneration)`
`void` | `setGisEnabled(java.lang.Boolean gisEnabled)`
`void` | `setGisPublishedId(java.lang.String gisPublishedId)`
`void` | `setIsAquaMap(java.lang.Boolean isAquaMap)`
`void` | `setIsCustomized(java.lang.Boolean isCustomized)`
`void` | `setJobId(java.lang.Integer jobId)`
`void` | `setSaved(java.lang.Boolean saved)`
`void` | `setSearchId(java.lang.Integer searchId)`
`void` | `setSelectionCriteria(java.lang.String selectionCriteria)`
`void` | `setSerializedObject(java.lang.String serializedObject)`
`void` | `setSerializedRequest(java.lang.String serializedPath)`
`void` | `setSourceHCAF(java.lang.Integer sourceHCAF)`
`void` | `setSourceHSPEC(java.lang.Integer sourceHSPEC)`
`void` | `setSourceHSPEN(java.lang.Integer sourceHSPEN)`
`void` | `setSpeciesCoverage(java.lang.String speciesCoverage)`
`void` | `setStartTime(java.lang.Long startTime)`
`void` | `setStatus(SubmittedStatus status)`
`void` | `setSubmissionTime(java.lang.Long submissionTime)`
`void` | `setTitle(java.lang.String title)`
`void` | `setToDelete(java.lang.Boolean toDelete)`
`void` | `setType(ObjectType type)`
`java.util.List<Field>` | `toRow()`
`java.lang.String` | `toString()`
`org.gcube.application.aquamaps.datamodel.Submitted` | `toStubsVersion()`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
`fromXML, toXML`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Submitted

    @Deprecated
    public Submitted(java.lang.Integer searchId)

  Deprecated.

### Submitted

    public Submitted(org.gcube.application.aquamaps.datamodel.Submitted toLoad)

Method Detail

### getSerializedObject

    public java.lang.String getSerializedObject()

### setSerializedObject

    public void setSerializedObject(java.lang.String serializedObject)

### isToDelete

    public java.lang.Boolean isToDelete()

### setToDelete

    public void setToDelete(java.lang.Boolean toDelete)

### getFileSetId

    public java.lang.String getFileSetId()

### setFileSetId

    public void setFileSetId(java.lang.String fileSetId)

### getIsCustomized

    public java.lang.Boolean getIsCustomized()

### setIsCustomized

    public void setIsCustomized(java.lang.Boolean isCustomized)

### getSpeciesCoverage

    public java.lang.String getSpeciesCoverage()

### setSpeciesCoverage

    public void setSpeciesCoverage(java.lang.String speciesCoverage)

### getStartTime

    public java.lang.Long getStartTime()

### setStartTime

    public void setStartTime(java.lang.Long startTime)

### getEndTime

    public java.lang.Long getEndTime()

### setEndTime

    public void setEndTime(java.lang.Long endTime)

### getSubmissionTime

    public java.lang.Long getSubmissionTime()

### setSubmissionTime

    public void setSubmissionTime(java.lang.Long submissionTime)

### getSearchId

    public java.lang.Integer getSearchId()

### setSearchId

    public void setSearchId(java.lang.Integer searchId)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

### getAuthor

    public java.lang.String getAuthor()

### setAuthor

    public void setAuthor(java.lang.String author)

### getJobId

    public java.lang.Integer getJobId()

### setJobId

    public void setJobId(java.lang.Integer jobId)

### getSelectionCriteria

    public java.lang.String getSelectionCriteria()

### setSelectionCriteria

    public void setSelectionCriteria(java.lang.String selectionCriteria)

### getStatus

    public SubmittedStatus getStatus()

### setStatus

    public void setStatus(SubmittedStatus status)

### getType

    public ObjectType getType()

### setType

    public void setType(ObjectType type)

### getIsAquaMap

    public java.lang.Boolean getIsAquaMap()

### setIsAquaMap

    public void setIsAquaMap(java.lang.Boolean isAquaMap)

### getSaved

    public java.lang.Boolean getSaved()

### setSaved

    public void setSaved(java.lang.Boolean saved)

### getSourceHCAF

    public java.lang.Integer getSourceHCAF()

### setSourceHCAF

    public void setSourceHCAF(java.lang.Integer sourceHCAF)

### getSourceHSPEN

    public java.lang.Integer getSourceHSPEN()

### setSourceHSPEN

    public void setSourceHSPEN(java.lang.Integer sourceHSPEN)

### getSourceHSPEC

    public java.lang.Integer getSourceHSPEC()

### setSourceHSPEC

    public void setSourceHSPEC(java.lang.Integer sourceHSPEC)

### loadResultSet

    public static java.util.ArrayList<Submitted> loadResultSet(java.sql.ResultSet rs)
                                                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### toStubsVersion

    public org.gcube.application.aquamaps.datamodel.Submitted toStubsVersion()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### setGisEnabled

    public void setGisEnabled(java.lang.Boolean gisEnabled)

### getGisEnabled

    public java.lang.Boolean getGisEnabled()

### getGisPublishedId

    public java.lang.String getGisPublishedId()

### setGisPublishedId

    public void setGisPublishedId(java.lang.String gisPublishedId)

### setSerializedRequest

    public void setSerializedRequest(java.lang.String serializedPath)

### getSerializedRequest

    public java.lang.String getSerializedRequest()

### isForceRegeneration

    public java.lang.Boolean isForceRegeneration()

### setForceRegeneration

    public void setForceRegeneration(java.lang.Boolean forceRegeneration)

### setField

    public boolean setField(Field f)

### getField

    public Field getField(SubmittedFields fieldName)

### toRow

    public java.util.List<Field> toRow()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD